Last modified: 2013-10-16 14:05:00 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 54982 - Add copyright notice to special page
Add copyright notice to special page
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
MassMessage (Other open bugs)
unspecified
All All
: Unprioritized normal (vote)
: ---
Assigned To: Kunal Mehta (Legoktm)
:
Depends on:
Blocks: 52723
  Show dependency treegraph
 
Reported: 2013-10-04 17:15 UTC by Kunal Mehta (Legoktm)
Modified: 2013-10-16 14:05 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Kunal Mehta (Legoktm) 2013-10-04 17:15:09 UTC
(From bug 52723 comment 54)
> One more thing - we'll need to add standard licensing/ToS language to the
> submit screen to ensure content is licensed consistent with Wikimedia
> requirements. The wikimedia-copyrightwarning message in the WikimediaMessages
> extension should do the trick.

Need to look into how other extensions use the standard copyright notice and override with the WMF-specific one.
Comment 1 Kunal Mehta (Legoktm) 2013-10-04 17:21:24 UTC
Looking at https://github.com/wikimedia/mediawiki-extensions-WikimediaMessages/blob/master/WikimediaMessages.php, we just need to do something like:

$title = Title::newFromText('Special:MassMessage');
$msg = array( 'copyrightwarning' );
wfRunHooks( 'EditPageCopyrightWarning', array( $title, &$msg ) );
Comment 2 Bartosz Dziewoński 2013-10-04 19:59:10 UTC
The relevant function is EditPage::getCopyrightWarning(), the messages
shouldn't be used directly.
Comment 3 Gerrit Notification Bot 2013-10-05 02:00:13 UTC
Change 87646 had a related patch set uploaded by Legoktm:
Add EditPage::getCopyrightWarning before "Send" button

https://gerrit.wikimedia.org/r/87646
Comment 4 Kunal Mehta (Legoktm) 2013-10-05 02:05:29 UTC
(In reply to comment #2)
> The relevant function is EditPage::getCopyrightWarning(), the messages
> shouldn't be used directly.

Thanks, that made it a bit easier :D
Comment 5 Gerrit Notification Bot 2013-10-16 14:04:11 UTC
Change 87646 merged by jenkins-bot:
Add EditPage::getCopyrightWarning before "Send" button

https://gerrit.wikimedia.org/r/87646

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links